// pages/selectionDetail.ts
const app = getApp()
import request from '../../utils/request'
import { scrollToID, keyWordsEnum } from '../../utils/util'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: "",
    list: []
  },

  getTypeList(id) {
    const that = this
    request.get({
      url: `/api/promote/titleList?typeId=${id}`
    }).then(res => {
      console.log(res, 'res');
      let i = 0
      const len = res.data.length
      const interval = setInterval(() => {
        if (i == len) {
          clearInterval(interval)
          return
        }
        const list = that.data.list
        list.push(res.data[i])
        that.setData({
          list
        })
        i++
      }, 100);


    }).catch(err => {
      console.log(err, 'err');
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const that = this
    if (options.id) {
      this.setData({
        id: options.id
      })
      this.getTypeList(options.id)
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})